Create a sub-custodian API key
curl --request POST \
--url https://api.portalhq.io/api/v3/resellers/custodians/{custodianId}/environments/{environmentId}/api-keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Production API key"
}
'import requests
url = "https://api.portalhq.io/api/v3/resellers/custodians/{custodianId}/environments/{environmentId}/api-keys"
payload = { "name": "Production API key" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Production API key'})
};
fetch('https://api.portalhq.io/api/v3/resellers/custodians/{custodianId}/environments/{environmentId}/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"apiKey": {
"id": "api_key_123",
"custodianId": "custodian_123",
"environmentId": "env_prod_123",
"name": "Production API key",
"value": "7b7f27c4-6a73-4d93-a703-0d2f22b63e64",
"createdAt": "2026-07-08T18:00:00.000Z",
"updatedAt": "2026-07-08T18:00:00.000Z"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Sub-Custodian API Keys
Create a sub-custodian API key
Creates an environment-scoped Portal API key for a sub-custodian owned by the authenticated reseller. The raw API key value is returned only in this creation response.
POST
/
resellers
/
custodians
/
{custodianId}
/
environments
/
{environmentId}
/
api-keys
Create a sub-custodian API key
Authorizations
Reseller API key created in the Portal dashboard.
Path Parameters
The ID of a sub-custodian owned by the authenticated reseller.
The ID of an environment that belongs to the sub-custodian.
Body
application/json
Optional name for the sub-custodian Portal API key.
Response
Sub-custodian API key created successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I